notification acknowledgement
post
https://{hostname}:{port}/scd/tmf-api/serviceCatalogManagement/v4/eventAcknowledge
This operation enables a client listener to acknowledge service specification event.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectThe event acknowledgement data structure
Show Source
-
eventId: string
The identifier of the notification.
-
eventType: string
The type of the notification.
-
message: string
The optional message for the event acknowledgement.
-
projectId: string
The identifier of the project.
-
projectItemsStatus: array
projectItemsStatus
List of project item statuses for each CFS
-
status: string
Allowed Values:
[ "SUCCESS", "FAILURE" ]The status of the event acknowledgement.
Nested Schema : projectItemsStatus
Type:
arrayList of project item statuses for each CFS
Show Source
-
Array of:
object ProjectItemStatus
When sub-classing, this defines the super-class
Nested Schema : ProjectItemStatus
Type:
objectWhen sub-classing, this defines the super-class
Show Source
-
@baseType: string
-
@type: string
When sub-classing, this defines the sub-class Extensible name
-
id: string
The identifier of the project item.
-
message: string
The optional message for the project item.
-
status: string
Allowed Values:
[ "SUCCESS", "FAILURE" ]The status of the event acknowledgement. -
version: string
The version of the project item.
Response
200 Response
Success
400 Response
Bad Request: Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : Error
Title:
ErrorUsed when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Match All
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Show Source
-
object
Extensible
Base Extensible schema for use in TMForum Open-APIs - When used for in a schema it means that the Entity described by the schema MUST be extended with the @type
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "Error":"#/components/schemas/Error" } }
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Show Source-
code(required): string
Application relevant detail, defined in the API or a common list.
-
message: string
More details and corrective actions related to the error which can be shown to a client user.
-
reason(required): string
Explanation of the reason for the error which can be shown to a client user.
-
referenceError: string
URI of documentation describing the error.
-
status: string
HTTP Error code extension
Nested Schema : Extensible
Type:
objectBase Extensible schema for use in TMForum Open-APIs - When used for in a schema it means that the Entity described by the schema MUST be extended with the @type
Show Source
-
@baseType: string
When sub-classing, this defines the super-class
-
@schemaLocation: string
(uri)
A URI to a JSON-Schema file that defines additional attributes and relationships
-
@type(required): string
When sub-classing, this defines the sub-class Extensible name
401 Response
Unauthorized: Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Root Schema : Error
Title:
ErrorUsed when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Match All
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Show Source
-
object
Extensible
Base Extensible schema for use in TMForum Open-APIs - When used for in a schema it means that the Entity described by the schema MUST be extended with the @type
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "Error":"#/components/schemas/Error" } }
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Show Source-
code(required): string
Application relevant detail, defined in the API or a common list.
-
message: string
More details and corrective actions related to the error which can be shown to a client user.
-
reason(required): string
Explanation of the reason for the error which can be shown to a client user.
-
referenceError: string
URI of documentation describing the error.
-
status: string
HTTP Error code extension
Nested Schema : Extensible
Type:
objectBase Extensible schema for use in TMForum Open-APIs - When used for in a schema it means that the Entity described by the schema MUST be extended with the @type
Show Source
-
@baseType: string
When sub-classing, this defines the super-class
-
@schemaLocation: string
(uri)
A URI to a JSON-Schema file that defines additional attributes and relationships
-
@type(required): string
When sub-classing, this defines the sub-class Extensible name
403 Response
Forbidden: You don't have authorization to perform this request.
Root Schema : Error
Title:
ErrorUsed when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Match All
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Show Source
-
object
Extensible
Base Extensible schema for use in TMForum Open-APIs - When used for in a schema it means that the Entity described by the schema MUST be extended with the @type
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "Error":"#/components/schemas/Error" } }
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Show Source-
code(required): string
Application relevant detail, defined in the API or a common list.
-
message: string
More details and corrective actions related to the error which can be shown to a client user.
-
reason(required): string
Explanation of the reason for the error which can be shown to a client user.
-
referenceError: string
URI of documentation describing the error.
-
status: string
HTTP Error code extension
Nested Schema : Extensible
Type:
objectBase Extensible schema for use in TMForum Open-APIs - When used for in a schema it means that the Entity described by the schema MUST be extended with the @type
Show Source
-
@baseType: string
When sub-classing, this defines the super-class
-
@schemaLocation: string
(uri)
A URI to a JSON-Schema file that defines additional attributes and relationships
-
@type(required): string
When sub-classing, this defines the sub-class Extensible name
404 Response
Not Found: Your request includes a resource URI that doesn't exist.
Root Schema : Error
Title:
ErrorUsed when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Match All
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Show Source
-
object
Extensible
Base Extensible schema for use in TMForum Open-APIs - When used for in a schema it means that the Entity described by the schema MUST be extended with the @type
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "Error":"#/components/schemas/Error" } }
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Show Source-
code(required): string
Application relevant detail, defined in the API or a common list.
-
message: string
More details and corrective actions related to the error which can be shown to a client user.
-
reason(required): string
Explanation of the reason for the error which can be shown to a client user.
-
referenceError: string
URI of documentation describing the error.
-
status: string
HTTP Error code extension
Nested Schema : Extensible
Type:
objectBase Extensible schema for use in TMForum Open-APIs - When used for in a schema it means that the Entity described by the schema MUST be extended with the @type
Show Source
-
@baseType: string
When sub-classing, this defines the super-class
-
@schemaLocation: string
(uri)
A URI to a JSON-Schema file that defines additional attributes and relationships
-
@type(required): string
When sub-classing, this defines the sub-class Extensible name
405 Response
Method Not Allowed: HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Root Schema : Error
Title:
ErrorUsed when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Match All
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Show Source
-
object
Extensible
Base Extensible schema for use in TMForum Open-APIs - When used for in a schema it means that the Entity described by the schema MUST be extended with the @type
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "Error":"#/components/schemas/Error" } }
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Show Source-
code(required): string
Application relevant detail, defined in the API or a common list.
-
message: string
More details and corrective actions related to the error which can be shown to a client user.
-
reason(required): string
Explanation of the reason for the error which can be shown to a client user.
-
referenceError: string
URI of documentation describing the error.
-
status: string
HTTP Error code extension
Nested Schema : Extensible
Type:
objectBase Extensible schema for use in TMForum Open-APIs - When used for in a schema it means that the Entity described by the schema MUST be extended with the @type
Show Source
-
@baseType: string
When sub-classing, this defines the super-class
-
@schemaLocation: string
(uri)
A URI to a JSON-Schema file that defines additional attributes and relationships
-
@type(required): string
When sub-classing, this defines the sub-class Extensible name
409 Response
Conflict: The request can't be completed due to a conflict with the current state of the resource.
Root Schema : Error
Title:
ErrorUsed when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Match All
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Show Source
-
object
Extensible
Base Extensible schema for use in TMForum Open-APIs - When used for in a schema it means that the Entity described by the schema MUST be extended with the @type
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "Error":"#/components/schemas/Error" } }
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Show Source-
code(required): string
Application relevant detail, defined in the API or a common list.
-
message: string
More details and corrective actions related to the error which can be shown to a client user.
-
reason(required): string
Explanation of the reason for the error which can be shown to a client user.
-
referenceError: string
URI of documentation describing the error.
-
status: string
HTTP Error code extension
Nested Schema : Extensible
Type:
objectBase Extensible schema for use in TMForum Open-APIs - When used for in a schema it means that the Entity described by the schema MUST be extended with the @type
Show Source
-
@baseType: string
When sub-classing, this defines the super-class
-
@schemaLocation: string
(uri)
A URI to a JSON-Schema file that defines additional attributes and relationships
-
@type(required): string
When sub-classing, this defines the sub-class Extensible name
500 Response
Internal Server Error: The server encountered something unexpected that prevented it from completing the request.
Root Schema : Error
Title:
ErrorUsed when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Match All
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Used when an API throws an Error, typically with a HTTP error response-code (3xx, 4xx, 5xx)
Show Source
-
object
Extensible
Base Extensible schema for use in TMForum Open-APIs - When used for in a schema it means that the Entity described by the schema MUST be extended with the @type
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "Error":"#/components/schemas/Error" } }
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Show Source-
code(required): string
Application relevant detail, defined in the API or a common list.
-
message: string
More details and corrective actions related to the error which can be shown to a client user.
-
reason(required): string
Explanation of the reason for the error which can be shown to a client user.
-
referenceError: string
URI of documentation describing the error.
-
status: string
HTTP Error code extension
Nested Schema : Extensible
Type:
objectBase Extensible schema for use in TMForum Open-APIs - When used for in a schema it means that the Entity described by the schema MUST be extended with the @type
Show Source
-
@baseType: string
When sub-classing, this defines the super-class
-
@schemaLocation: string
(uri)
A URI to a JSON-Schema file that defines additional attributes and relationships
-
@type(required): string
When sub-classing, this defines the sub-class Extensible name